//*************************************************************************************
//
//  SoR Scope - software to provide Oscilloscope-like with cheap Microcontrollers
//  and free PC software
//
//  Copyright (C) 2009,	Cosmin Prund
//
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
//*************************************************************************************

#ifndef __CMD_HANDLE__
#define __CMD_HANDLE__

// Defines the current output mode for the scope. Output mode may change
// based on commands received over USART
extern volatile int ScopeOutputMode;

	// ScopeOutputMode constants:
	// [1] = "Interactive Command Prompt"

// Entry-point for the command handling state machine
void cmd_handle_char(char c);

#endif
