#include "prepconst.h"
#include "avr/interrupt.h"
#include "scopecounter.h"

// ScopeCounter global stuff
volatile unsigned int Cnt = 0;
unsigned OldCnt = 0;

// Timer 1 overflow interrupt
SIGNAL (TIMER1_OVF_vect )
{
	Cnt++;
}

// Prepare COUNTER 1
void PrepareCOUNTER1()
{
	TIMSK1 = 0b00000001; // disable all interrupts
	TCCR1A = 0b00000000;
	TCCR1B = 0b00000011; // clock: F/1024
	TCCR1C = 0b00000000;
}
